Skip to main content
PATCH
Create or patch entity

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

dryRun
boolean

When true, this endpoint only validates the descriptor contents and returns any errors or warnings.

deleteMarkerValue
string

Delete keys with this value from the merged yaml, e.g. __delete__, if any values match this, they will not be included in merged YAML. For example my_value: __delete__ will remove my_value from the merged YAML.

appendArrays
boolean

Default merge behavior is to replace arrays, set this to true to append arrays instead. For simple types, duplicate values will be removed from the merged array.

failIfEntityDoesNotExist
boolean

Default behavior is to upsert the entity, set failIfEntityDoesNotExist=true to fail (404) if the entity specified in x-cortex-tag does not exist.

asyncUpdateWaitTimeMs
integer<int64>

Maximum time (milliseconds) to wait for asynchronous property updates. Default is zero.

Body

application/openapi;charset=UTF-8

Raw text of the YAML
See examples of cortex.yaml files for each entity type here

The body is of type string.

Response

Indicates that the entity body was accepted, and the referenced x-cortex-tag existed and patched successfully

ok
boolean
required
violations
object[]
required
Last modified on September 24, 2026